
/* FONTS---------------*/
@font-face {
    font-family: 'msw';
    font-weight: 100 900;
    src: url('font/montserrat-VF.woff2') format('woff2-variations');
}

@font-face {
    font-family: 'clw';
    src: url('font/clear.woff') format('woff');
}

@font-face {
    font-family: 'hdw';
    src: url('font/hadfield.woff2') format('woff2');
}

/* GENERAL---------------*/

:root {
    --noir: #233;
    --couleur: #5bb;
    --cl: clw, sans-serif;
    --ms: msw, sans-serif;
    --ha: hdw, serif;
}

* {
    margin: 0;
    box-sizing: border-box;
    outline: none;
}

*:focus-visible {
    outline: 3px solid #f90;
}

button::-moz-focus-inner {
    border: 0;
}

body {
    background: var(--noir);
    font: 1.2em var(--cl);
    color: #fff;
}

img {
    border: 0;
    max-width: 100%;
    height: auto;
    display: block;
    color: rgba(0,0,0,.2);
    background: rgba(0,0,0,.2);
}

iframe {
    border: 0;
    max-width: 100%;
}

ul {
    list-style: none;
    padding-left: 0;
}

hr {
    border: 0;
    height: 1px;
    background: #788;
    margin: 20px 0;
}

sup {
    display: inline-block;
    margin-top: -6px;
    position: relative;
    top: 2px;
    font-size: .8em;
}

h1,
h2,
h3 {
    text-align: left;
}

::selection {
    background: var(--couleur);
    color: #fff;
}

a {
    text-decoration: none;
    color: var(--couleur);
}

a:hover,
#imprimer:hover {
    filter: brightness(120%);
}

a[href^=mailto] {
    display: inline-block;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: bottom;
}

a[href^=tel] {
    font-size: 1.2em;
    font-weight: bold;
}

.ancre {
    position: absolute;
    margin-top: -50px;
}

.centre {
    width: 1100px;
    margin: 0 auto;
    position: relative;
}

video {
    filter: grayscale(1) contrast(1.5);
    opacity: .03;
    position: fixed;
    top: 0;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* MILIEU--------------------*/

h1 {
    font: 4.9em/1.1em var(--ha);
    color: var(--couleur);
    margin-bottom: 120px;
    transform: skew(-2deg, -5deg);
    text-align: center;
}

h2 {
    font: 600 1.8em/1em var(--ms);
    margin: 60px 0 25px;
    color: var(--couleur);
}

#normale {
    padding: 60px 0;
}

#normale ul {
    padding-left: 1em;
    list-style: circle;
}

#normale li {
    margin: 7px 0;
}

#normale span[style*='underline'] {
    font-weight: bold;
    font-size: 1.2em;
    line-height: 1.4em;
    text-decoration: none !important;
}

#photos {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 32px;
}

#infos {
    background: rgba(0,0,0,.3);
    padding: 32px 32px 16px 32px;
    columns: 2;
    column-gap: 32px;
    margin-top: 32px;
    line-height: 1.2em;
}

#contact {
    background: rgba(0,0,0,.3);
    margin-top: 32px;
    padding: 16px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

#contact > * {
    margin: 16px;
}

#imprimer {
    background: var(--couleur);
    padding: 8px 15px;
    font: 600 .9em/1em var(--ms);
    color: #fff;
    border: 0;
    text-shadow: 0 0 5px rgba(0,40,40,.4);
    cursor: pointer;
}


.piece {
    background: rgba(0,0,0,.3);
    padding: 32px;
    margin-bottom: 16px;
}

.annee {
    font-size: .9em;
}

.titre {
    font: 600 1.1em/1.2em var(--ms);
    margin-bottom: 5px;
}

.genre {
    opacity: .5;
    font-size: .9em;
}

.role {

}

.apparition {
    transform: translateY(0) !important;
}

#retour-haut {
    background: rgba(0,0,0,.2) url(img/haut.svg) no-repeat center;
    width: 38px;
    height: 40px;
    position: fixed;
    bottom: 20px;
    right: 0;
    z-index: 1000;
    border-radius: 6px 0 0 6px;
    opacity: 0;
    transition: opacity .4s;
}

.opacite {
    opacity: 1 !important;
}
